=== debian/control ===
Source: libodbc-ruby
Section: ruby
Priority: optional
Maintainer: Daigo Moriwaki <daigo@debian.org>
Uploaders: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>, Deepak Tripathi <apenguinlinux@gmail.com>
Build-Depends: debhelper (>= 7.0.0), cdbs, quilt, ruby-pkg-tools, libiodbc2-dev, ruby1.8-dev, ruby1.8, ruby1.9.1, ruby1.9.1-dev
Standards-Version: 3.8.4
Homepage: http://www.ch-werner.de/rubyodbc/
Vcs-Svn: svn://svn.debian.org/svn/pkg-ruby-extras/trunk/libodbc-ruby/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-ruby-extras/trunk/libodbc-ruby/

Package: libodbc-ruby1.8
Architecture: any
Depends: libiodbc2 | unixodbc, ${shlibs:Depends}, ${misc:Depends}
Suggests: libodbc-ruby1.8-doc, libdbi-ruby1.8
Description: ODBC Binding for ruby1.8
 ODBC is a standard API for connecting to ODBC data sources such as Relational
 Database Management Systems (RDBMSs). For accessing ODBC data sources from the
 Ruby language, an ODBC binding library and Ruby interface are required. This
 package provides both for Ruby 1.8. 
 .
 This package includes both UTF-8 and non-UTF-8 versions.

Package: libodbc-ruby1.8-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libodbc-ruby1.8 (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: ODBC Binding for ruby1.8
 ODBC is a standard API for connecting to ODBC data sources such as Relational
 Database Management Systems (RDBMSs). For accessing ODBC data sources from the
 Ruby language, an ODBC binding library and Ruby interface are required. This
 package provides both for Ruby 1.8. 
 .
 This package includes both UTF-8 and non-UTF-8 versions.
 .
 This package allows developers to interpret core dumps by providing
 backtrace names for debuggers 

Package: libodbc-ruby1.9.1
Architecture: any
Depends: libiodbc2 | unixodbc, ${shlibs:Depends}, ${misc:Depends}
Suggests: libodbc-ruby1.9.1-doc, libdbi-ruby1.9
Description: ODBC Binding for ruby1.9.1
 ODBC is a standard API for connecting to ODBC data sources such as Relational
 Database Management Systems (RDBMSs). For accessing ODBC data sources from the
 Ruby language, an ODBC binding library and Ruby interface are required. This
 package provides both for Ruby 1.9.1. 
 .
 This package includes both UTF-8 and non-UTF-8 versions.

Package: libodbc-ruby1.9.1-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libodbc-ruby1.9.1 (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: ODBC Binding for ruby1.9.1
 ODBC is a standard API for connecting to ODBC data sources such as Relational
 Database Management Systems (RDBMSs). For accessing ODBC data sources from the
 Ruby language, an ODBC binding library and Ruby interface are required. This
 package provides both for Ruby 1.9.1. 
 .
 This package includes both UTF-8 and non-UTF-8 versions.
 .
 This package allows developers to interpret core dumps by providing
 backtrace names for debuggers 

Package: libodbc-ruby-doc
Section: doc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libodbc-ruby1.8
Description: ODBC Binding for ruby1.8
 ODBC is a standard API for connecting to ODBC data sources such as Relational
 Database Management Systems (RDBMSs). For accessing ODBC data sources from the
 Ruby language, an ODBC binding library and Ruby interface are required. This
 package provides both for Ruby 1.8. 
 .
 This package includes documentations for the libraries.

Package: libodbc-ruby
Architecture: any
Depends: libodbc-ruby1.8, ${shlibs:Depends}, ${misc:Depends}
Suggests: libdbi-ruby
Description: ODBC Binding for ruby1.8
 ODBC is a standard API for connecting to ODBC data sources such as Relational
 Database Management Systems (RDBMSs). For accessing ODBC data sources from the
 Ruby language, an ODBC binding library and Ruby interface are required. This
 package provides both for Ruby 1.8. 
 .
 This package includes both UTF-8 and non-UTF-8 versions.
 .
 This is a dummy package, which depends on the package containing the actual
 library for the default Ruby version.
