=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ruby_ver1.8 = 1.8
ruby_ver1.9.1 = 1.9.1

DEB_DBG_PACKAGE_libodbc-ruby$(ruby_ver1.8) = libodbc-ruby$(ruby_ver1.8)-dbg
DEB_DBG_PACKAGE_libodbc-ruby$(ruby_ver1.9.1) = libodbc-ruby$(ruby_ver1.9.1)-dbg

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk


configure/libodbc-ruby$(ruby_ver1.8)::
	cp -r ext ext$(ruby_ver1.8)
	( cd ext$(ruby_ver1.8) && \
	  ([ -e Makefile ] || ruby$(ruby_ver1.8) extconf.rb --enable-dlopen) )
	( cd ext$(ruby_ver1.8) && \
	  ([ -e utf8/Makefile ] || ruby$(ruby_ver1.8) -Cutf8 extconf.rb --enable-dlopen) )

build/libodbc-ruby$(ruby_ver1.8)::
	( cd ext$(ruby_ver1.8) && \
	  ([ -e odbc.so ] || $(MAKE)) )
	( cd ext$(ruby_ver1.8) && \
	  ([ -e utf8/odbc_utf8.so ] || $(MAKE) -Cutf8) )

install/libodbc-ruby$(ruby_ver1.8)::
	$(MAKE) -Cext$(ruby_ver1.8) install DESTDIR=$(CURDIR)/debian/libodbc-ruby$(ruby_ver1.8) sitedir='$$(prefix)/lib/ruby'
	$(MAKE) -Cext$(ruby_ver1.8)/utf8 install DESTDIR=$(CURDIR)/debian/libodbc-ruby$(ruby_ver1.8) sitedir='$$(prefix)/lib/ruby'

cleanbuilddir/libodbc-ruby$(ruby_ver1.8)::
	[ ! -e ext$(ruby_ver1.8)/Makefile ] || $(MAKE) -C ext$(ruby_ver1.8) distclean
	[ ! -e ext$(ruby_ver1.8)/utf8/Makefile ] || $(MAKE) -C ext$(ruby_ver1.8)/utf8 distclean


configure/libodbc-ruby$(ruby_ver1.9.1)::
	cp -r ext ext$(ruby_ver1.9.1)
	( cd ext$(ruby_ver1.9.1) && \
	  ([ -e Makefile ] || ruby$(ruby_ver1.9.1) extconf.rb --enable-dlopen) )
	( cd ext$(ruby_ver1.9.1) && \
	  ([ -e utf8/Makefile ] || ruby$(ruby_ver1.9.1) -Cutf8 extconf.rb --enable-dlopen) )

build/libodbc-ruby$(ruby_ver1.9.1)::
	( cd ext$(ruby_ver1.9.1) && \
	  ([ -e odbc.so ] || $(MAKE)) )
	( cd ext$(ruby_ver1.9.1) && \
	  ([ -e utf8/odbc_utf8.so ] || $(MAKE) -Cutf8) )

install/libodbc-ruby$(ruby_ver1.9.1)::
	$(MAKE) -Cext$(ruby_ver1.9.1) install DESTDIR=$(CURDIR)/debian/libodbc-ruby$(ruby_ver1.9.1) sitedir='$$(prefix)/lib/ruby'
	$(MAKE) -Cext$(ruby_ver1.9.1)/utf8 install DESTDIR=$(CURDIR)/debian/libodbc-ruby$(ruby_ver1.9.1) sitedir='$$(prefix)/lib/ruby'

cleanbuilddir/libodbc-ruby$(ruby_ver1.9.1)::
	[ ! -e ext$(ruby_ver1.9.1)/Makefile ] || $(MAKE) -C ext$(ruby_ver1.9.1) distclean
	[ ! -e ext$(ruby_ver1.9.1)/utf8/Makefile ] || $(MAKE) -C ext$(ruby_ver1.9.1)/utf8 distclean

clean::
	for v in $(ruby_ver1.8) $(ruby_ver1.9.1) ; do \
	  rm -rf ext$$v ; \
	done
